Bug 218589 - Add a display list item to represent stroking a single line
Summary: Add a display list item to represent stroking a single line
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Wenson Hsieh
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-11-04 15:13 PST by Wenson Hsieh
Modified: 2020-11-06 18:45 PST (History)
2 users (show)

See Also:


Attachments
Depends on #218406 (12.84 KB, patch)
2020-11-05 16:14 PST, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Patch (12.70 KB, patch)
2020-11-06 14:39 PST, Wenson Hsieh
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wenson Hsieh 2020-11-04 15:13:16 PST
...similar to the existing StrokeRect item.

Line are a really common primitive, especially in some benchmarks.
Comment 1 Wenson Hsieh 2020-11-05 16:14:08 PST
Created attachment 413366 [details]
Depends on #218406
Comment 2 Wenson Hsieh 2020-11-06 14:39:56 PST
Created attachment 413486 [details]
Patch
Comment 3 EWS 2020-11-06 16:09:55 PST
Committed r269548: <https://trac.webkit.org/changeset/269548>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 413486 [details].
Comment 4 Radar WebKit Bug Importer 2020-11-06 16:10:39 PST
<rdar://problem/71136864>